curl --request GET \
--url https://openplatform.gateapi.io/pay-subscription/open/v1/plan/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "0",
"message": "",
"data": {
"total": 1,
"list": [
{
"merchantPlanNo": "plan031004",
"planNo": "63784847096545341",
"planName": "Plan 01",
"planDesc": "Plan Description 01",
"productName": "2",
"productNo": "2",
"priceNo": "3",
"priceName": "Weekly",
"cryptoCurrency": "USDT",
"cryptoAmount": "5",
"period": "WEEK",
"planStatus": "on",
"createTime": 1773107374000,
"updateTime": 1773107374000
}
]
},
"success": true
}Query subscription plan list
curl --request GET \
--url https://openplatform.gateapi.io/pay-subscription/open/v1/plan/list \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"code": "0",
"message": "",
"data": {
"total": 1,
"list": [
{
"merchantPlanNo": "plan031004",
"planNo": "63784847096545341",
"planName": "Plan 01",
"planDesc": "Plan Description 01",
"productName": "2",
"productNo": "2",
"priceNo": "3",
"priceName": "Weekly",
"cryptoCurrency": "USDT",
"cryptoAmount": "5",
"period": "WEEK",
"planStatus": "on",
"createTime": 1773107374000,
"updateTime": 1773107374000
}
]
},
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /open/v1/plan/list endpoint. The full schema, parameters, and examples are rendered from the linked OpenAPI definition above.
Merchant client ID, obtained from GatePay platform application
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256 signature, used to verify request legitimacy
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
Timestamp (milliseconds), time difference with server cannot exceed 5 minutes
"1672905655498"
Random number, used to prevent replay attacks
"9578"
Subscription plan status filter
ACTIVE, INACTIVE "ACTIVE"
Product number filter
"PROD_ABC123"
Page number, starting from 1, default 1
x >= 11
Number per page, maximum 100, default 10
1 <= x <= 10010